Bug 173780 - dv1394 module errors on load
dv1394 module errors on load
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-20 19:55 EST by Ken Moorley
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-17 21:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Moorley 2005-11-20 19:55:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
dv1394: Unknown symbol ohci1394_register_iso_tasklet
dv1394: Unknown symbol ohci1394_unregister_iso_tasklet
dv1394: Unknown symbol ohci1394_init_iso_tasklet

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.modprobe dv1394

Actual Results:  dv1394: Unknown symbol ohci1394_register_iso_tasklet
dv1394: Unknown symbol ohci1394_unregister_iso_tasklet
dv1394: Unknown symbol ohci1394_init_iso_tasklet

Additional info:
Comment 1 Dave Jones 2006-02-03 00:42:32 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 Ken Moorley 2006-02-03 05:29:13 EST
The same error occurs with kernel Version: 2.6.15-1.1830_FC4
Comment 3 Stefan Richter 2006-02-14 12:55:32 EST
These symbols are provided by the ohci1394 driver. dv1394's dependence on
ohci1394 should be recognized by the kernel build system and should cause
autoloading of ohci1394 when dv1394 is loaded (if the kernel is configured for
module autoloading: CONFIG_KMOD=y).
 - Is this kernel configuration option set? (I am not a FC user myself.)
 - What if you manually load ohci1394 before dv1394?

Note: ohci1394 and therefore dv1394 and video1394 do not work with non-OHCI
FireWire adapters, e.g. PCILynx adapters. By far most of FireWire adpaters are
of the OHCI type though.

Furthermore, the dv1394 driver's functionality is now also available through
userspace libraries on top of libraw1394. Therefore dv1394 will be declared
obsolete soon and will be removed from the kernel eventually.
Comment 4 Dave Jones 2006-09-16 22:26:29 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Stefan Richter 2006-09-17 03:20:12 EDT
(Re comment #3: I was wrong about dv1394 becoming obsolete any time soon.)
Comment 6 Ken Moorley 2006-09-17 21:26:04 EDT
Problem resolved in FC5

Note You need to log in before you can comment on or make changes to this bug.